# How to Get All the Reviews that I have written and their Corresponding Submissions

OpenReview does not currently provide an official document that certifies that a Reviewer has participated in the review process of a conference. However, it is still possible to retrieve the **public** **reviews** and **public** **submissions** that the Reviewer reviewed using the [python client](/getting-started/using-the-api/installing-and-instantiating-the-python-client.md) from OpenReview.

### Steps for getting Reviews

1. Instantiate your OpenReview client

```python
client = openreview.api.OpenReviewClient(
    baseurl='https://api2.openreview.net',
    username=<your username>,
    password=<your password>
)
```

2. Run the following method

```python
result = openreview.tools.get_own_reviews(client)

# Result is a list of dictionaries that have the following schema
# {
#     'submission_title': <Submission title>,
#     'submission_link': <Link to submission>,
#     'review_link': <Link to review>
# }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openreview.net/how-to-guides/data-retrieval-and-modification/how-to-get-all-the-reviews-that-i-have-written-and-their-corresponding-submissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
